REST APIWallet & TransactWallet

POST

Send funds from a fee address to forwarder. Only supports account-based coins and tokens (like ETH).

Path Params

  • coin string required
    A cryptocurrency symbol or token ticker symbol

    at least 1 characters

  • walletId string required

    at least 1 characters · matches ^[0-9a-f]{32}$

Body Params

object

  • forwarders array of objects required
    forwarders object
    • forwarderAddress string required
      Address of the forwarder to send funds to
    • amount string
      Amount to send to the forwarder. If not given, defaults to sending an estimate of the amount needed for a fund recovery.

Responses

200
OK

Response Body

object

  • failed array of objects
    failed object
    • forwarderAddress string required
      Failed forwarder address
    • errMsg string required
  • successTxIds array of objects
    successTxIds object
    • forwarderAddress string required
      Successful forwarder address
    • txId string required
      On-chain transaction ID
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id